from metadata.sdk import configurefrom metadata.sdk.entities import Teamsfrom metadata.generated.schema.api.teams.createTeam import CreateTeamRequestconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")request = CreateTeamRequest( name="Accounting", teamType="Group", displayName="Accounting", description="Accounting team under Finance", parents=["4f87a3ea-d798-4509-8c64-5b11f8a96f89"])team = Teams.create(request)print(f"Created: {team.fullyQualifiedName.root}")
import java.util.List;import java.util.UUID;import org.openmetadata.schema.api.teams.CreateTeam;// client is an initialized OpenMetadataClient.var request = new CreateTeam() .withName("Accounting") .withTeamType(CreateTeam.TeamType.GROUP) .withDisplayName("Accounting") .withDescription("Accounting team under Finance") .withParents(List.of(UUID.fromString("4f87a3ea-d798-4509-8c64-5b11f8a96f89")));var team = client.teams().create(request);
Create a new team for organizing users and controlling access
POST
/
v1
/
teams
POST /v1/teams
from metadata.sdk import configurefrom metadata.sdk.entities import Teamsfrom metadata.generated.schema.api.teams.createTeam import CreateTeamRequestconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")request = CreateTeamRequest( name="Accounting", teamType="Group", displayName="Accounting", description="Accounting team under Finance", parents=["4f87a3ea-d798-4509-8c64-5b11f8a96f89"])team = Teams.create(request)print(f"Created: {team.fullyQualifiedName.root}")
import java.util.List;import java.util.UUID;import org.openmetadata.schema.api.teams.CreateTeam;// client is an initialized OpenMetadataClient.var request = new CreateTeam() .withName("Accounting") .withTeamType(CreateTeam.TeamType.GROUP) .withDisplayName("Accounting") .withDescription("Accounting team under Finance") .withParents(List.of(UUID.fromString("4f87a3ea-d798-4509-8c64-5b11f8a96f89")));var team = client.teams().create(request);
Create a new team for organizing users and controlling access to data assets.
Body Parameters
string
required
Name of the team. Must be unique across all teams.
string
required
Type of team. One of: Group, Department, Division, BusinessUnit, Organization.
string
Human-readable display name for the team.
string
Description of the team in Markdown format.
string
Email address associated with the team.
array
Array of parent team references. A team can belong to a parent team in the hierarchy.
Show properties
string
UUID of the parent team.
string
Type of entity (always team).
boolean
default:"true"
Whether users can join this team without an invitation.
array
Array of owner references (users or teams) to assign as owners of this team.
Show properties
string
UUID of the owner entity.
string
Type of owner entity, for example user, team.
string
Name of the owner entity.
array
Array of policy references to attach to the team.
Show properties
string
UUID of the policy.
string
Type of entity (always policy).
array
Fully qualified names of the domains to assign for governance purposes.
POST /v1/teams
from metadata.sdk import configurefrom metadata.sdk.entities import Teamsfrom metadata.generated.schema.api.teams.createTeam import CreateTeamRequestconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")request = CreateTeamRequest( name="Accounting", teamType="Group", displayName="Accounting", description="Accounting team under Finance", parents=["4f87a3ea-d798-4509-8c64-5b11f8a96f89"])team = Teams.create(request)print(f"Created: {team.fullyQualifiedName.root}")
import java.util.List;import java.util.UUID;import org.openmetadata.schema.api.teams.CreateTeam;// client is an initialized OpenMetadataClient.var request = new CreateTeam() .withName("Accounting") .withTeamType(CreateTeam.TeamType.GROUP) .withDisplayName("Accounting") .withDescription("Accounting team under Finance") .withParents(List.of(UUID.fromString("4f87a3ea-d798-4509-8c64-5b11f8a96f89")));var team = client.teams().create(request);